Skip to main content
POST
cURL
Temporarily expand an active subscription’s feature access using a higher plan in the same plan group. Billing, prices, periods, invoices, and the base subscription remain unchanged.

Authorizations

x-api-key
string
header
required

Headers

Idempotency-Key
string

Unique key used to safely retry this write for 24 hours without applying it twice.

Required string length: 1 - 200
Commet-Version
string
default:2026-08-27

API version used by this reference. Send this header to select this contract explicitly.

Path Parameters

id
string
required

Body

application/json
subscriptionId
string
required
Minimum string length: 1
planId
string
required
Minimum string length: 1
reason
string
required
Required string length: 1 - 500
duration
string
required
Allowed value: "cycles"
durationCycles
integer
required
Required range: x <= 9007199254740991

Response

Success

id
string
required
customerId
string
required
subscriptionId
string
required
basePlanId
string
required
planId
string
required
planReleaseId
string
required
status
enum<string>
required
Available options:
active,
expired,
revoked
duration
enum<string>
required
Available options:
cycles,
until_date,
until_revoked
durationCycles
integer | null
required
Required range: 0 < x <= 9007199254740991
startsAt
string<date-time>
required
expiresAt
string<date-time> | null
required
reason
string
required
source
enum<string>
required
Available options:
dashboard,
api
revokedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
events
object[]
required
object
string
required
Allowed value: "plan_grant"
livemode
boolean
required